import numpy as np
import scipy.stats as ss
import matplotlib.pyplot as plt

data = np.array([[1, 1], [2, 3], [5, 4], [6, 6]])

r_Pearson, p_v_pearson = ss.pearsonr(data.T[0], data.T[1])
print('r_Pearson =', r_Pearson, '   p_value =', p_v_pearson)

r_Spearman, p_v_spearman = ss.spearmanr(data)
print('r_Spearman =', r_Spearman, '   p_value =', p_v_spearman)

r_Kendall, p_v_kendall = ss.kendalltau(data.T[0], data.T[1])
print('r_Kendall =', r_Kendall, '   p_value =', p_v_kendall)

plt.plot(data.T[0], data.T[1], 'o',
         label = ('Pearson = {0:.3f}\n' +
                 'Spearman = {1:.3f}\nKendall = {2:.3f}').format(
                 r_Pearson, r_Spearman, r_Kendall))
plt.legend(fontsize = 12)
plt.show()
